﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Xamarin.Forms;

namespace ChartAxisTitleSample
{
    public class App
    {
        public static Page GetMainPage()
        {
            return new ContentPage
            {
                Content = GetChart()
            };
        }

        private static SfChart GetChart()
        {
            var chart = new SfChart();
            chart.PrimaryAxis = new NumericalAxis();
            chart.SecondaryAxis = new NumericalAxis();

            chart.PrimaryAxis.Title.Text = "P axis title";
            chart.PrimaryAxis.Title.TextColor = Color.Red;
            chart.PrimaryAxis.Title.Font = Device.OnPlatform(
                                            iOS: Font.OfSize("MarkerFelt-Thin", 30),
                                            Android: Font.OfSize("Droid Sans Mono", 30),
                                            WinPhone: Font.OfSize("Times New Roman", 30));
            chart.PrimaryAxis.LabelStyle.Font = Device.OnPlatform(
                                                iOS: Font.OfSize("MarkerFelt-Thin", 30),
                                                Android: Font.OfSize("Droid Sans Mono", 30),
                                                WinPhone: Font.OfSize("Times New Roman", 30));
            chart.PrimaryAxis.LabelStyle.TextColor = Color.Red;

            chart.SecondaryAxis.Title.Text = "S axis title";
            chart.SecondaryAxis.Title.TextColor = Color.Red;
            chart.SecondaryAxis.Title.Font = Device.OnPlatform(
                                            iOS: Font.OfSize("MarkerFelt-Thin", 30),
                                            Android: Font.OfSize("Droid Sans Mono", 30),
                                            WinPhone: Font.OfSize("Times New Roman", 30));
            chart.SecondaryAxis.LabelStyle.Font = Device.OnPlatform(
                                                iOS: Font.OfSize("MarkerFelt-Thin", 30),
                                                Android: Font.OfSize("Droid Sans Mono", 30),
                                                WinPhone: Font.OfSize("Times New Roman", 30));
            chart.SecondaryAxis.LabelStyle.TextColor = Color.Red;

            ColumnSeries column = new ColumnSeries();
            column.DataMarker = new ChartDataMarker();
            column.DataMarker.ShowLabel = true;
            column.DataMarkerPosition = DataMarkerPosition.Center;

            ObservableCollection<ChartDataPoint> data = new ObservableCollection<ChartDataPoint>();
            data.Add(new ChartDataPoint(1, 34));
            data.Add(new ChartDataPoint(2, 33));
            data.Add(new ChartDataPoint(3, 35));
            data.Add(new ChartDataPoint(4, 12));
            data.Add(new ChartDataPoint(5, 43));
            data.Add(new ChartDataPoint(6, 22));
            data.Add(new ChartDataPoint(7, 36));
            column.ItemsSource = data;

            chart.Series.Add(column);

            return chart;
        }
    }
}
